//
// Created by sfd on 25-4-23.
//

#ifndef TIMESTEP_H
#define TIMESTEP_H


namespace Hazel
{
    class TimeStep
    {
    public:
        TimeStep(float time = 0.0f) : m_Time(time) {}


        operator float() const { return m_Time / 1000.0f; }

        float GetSeconds() const { return m_Time / 1000.0f; }
        float GetMilliseconds() const { return m_Time; }
    private:
        float m_Time;   // ms
    };
}


#endif //TIMESTEP_H
